Upstream information

CVE-2017-17534 at MITRE

Description

uiutil.c in Mensis 0.0.080507 does not validate strings before launching the program specified by the BROWSER environment variable, which might allow remote attackers to conduct argument-injection attacks via a crafted URL, a different vulnerability than CVE-2017-17521.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 4.6
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:L/AC:L/Au:N/C:P/I:P/A:P
Access Vector Network Local
Access Complexity Medium Low
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 8.8 5.9
Vector CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H CVSS:3.0/AV:L/AC:L/PR:N/UI:N/S:U/C:L/I:L/A:L
Attack Vector Network Local
Attack Complexity Low Low
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
CVSSv3 Version 3 3
SUSE Bugzilla entry: 1073014 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products under general support and receiving all security fixes.
SUSE Enterprise Storage 7.1 fontforge Not affected
SUSE Linux Enterprise Desktop 15 SP5 fontforge Not affected
SUSE Linux Enterprise Desktop 15 SP6 fontforge Not affected
SUSE Linux Enterprise High Performance Computing 15 SP5 fontforge Not affected
SUSE Linux Enterprise High Performance Computing 15 SP6 fontforge Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP5 fontforge Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP6 fontforge Not affected
SUSE Linux Enterprise Server 12 SP5 fontforge Unsupported
SUSE Linux Enterprise Server 15 SP5 fontforge Not affected
SUSE Linux Enterprise Server 15 SP6 fontforge Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 fontforge Unsupported
SUSE Linux Enterprise Server for SAP Applications 15 SP5 fontforge Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP6 fontforge Not affected
SUSE Linux Enterprise Software Development Kit 12 SP5 fontforge Unsupported
SUSE Manager Proxy 4.3 fontforge Not affected
SUSE Manager Retail Branch Server 4.3 fontforge Not affected
SUSE Manager Server 4.3 fontforge Not affected
Products under Long Term Service Pack support and receiving important and critical security fixes.
SUSE Linux Enterprise Desktop 15 SP4 fontforge Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 fontforge Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-ESPOS fontforge Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2-LTSS fontforge Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3 fontforge Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-ESPOS fontforge Not affected
SUSE Linux Enterprise High Performance Computing 15 SP3-LTSS fontforge Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4 fontforge Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-ESPOS fontforge Not affected
SUSE Linux Enterprise High Performance Computing 15 SP4-LTSS fontforge Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP2 fontforge Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP3 fontforge Not affected
SUSE Linux Enterprise Module for Desktop Applications 15 SP4 fontforge Not affected
SUSE Linux Enterprise Server 15 SP2 fontforge Not affected
SUSE Linux Enterprise Server 15 SP2-LTSS fontforge Not affected
SUSE Linux Enterprise Server 15 SP3 fontforge Not affected
SUSE Linux Enterprise Server 15 SP3-LTSS fontforge Not affected
SUSE Linux Enterprise Server 15 SP4 fontforge Not affected
SUSE Linux Enterprise Server 15 SP4-LTSS fontforge Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP2 fontforge Not affected
SUSE Linux Enterprise Server Business Critical Linux 15 SP3 fontforge Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 fontforge Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP3 fontforge Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP4 fontforge Not affected
Products past their end of life and not receiving proactive updates anymore.
SUSE CaaS Platform 4.5 fontforge Not affected
SUSE Enterprise Storage 7 fontforge Not affected
SUSE Linux Enterprise Desktop 11 SP4 fontforge Unsupported
SUSE Linux Enterprise Desktop 12 fontforge Unsupported
SUSE Linux Enterprise Desktop 12 SP1 fontforge Unsupported
SUSE Linux Enterprise Desktop 12 SP2 fontforge Unsupported
SUSE Linux Enterprise Desktop 12 SP3 fontforge Unsupported
SUSE Linux Enterprise Desktop 12 SP4 fontforge Unsupported
SUSE Linux Enterprise Desktop 15 SP2 fontforge Not affected
SUSE Linux Enterprise Desktop 15 SP3 fontforge Not affected
SUSE Linux Enterprise Real Time 15 SP2 fontforge Not affected
SUSE Linux Enterprise Real Time 15 SP3 fontforge Not affected
SUSE Linux Enterprise Real Time 15 SP4 fontforge Not affected
SUSE Linux Enterprise Server 11 SP4 fontforge Unsupported
SUSE Linux Enterprise Server 12 fontforge Unsupported
SUSE Linux Enterprise Server 12 SP1 fontforge Unsupported
SUSE Linux Enterprise Server 12 SP2 fontforge Unsupported
SUSE Linux Enterprise Server 12 SP3 fontforge Unsupported
SUSE Linux Enterprise Server 12 SP4 fontforge Unsupported
SUSE Linux Enterprise Server 15 SP2-BCL fontforge Not affected
SUSE Linux Enterprise Server 15 SP3-BCL fontforge Not affected
SUSE Linux Enterprise Server for SAP Applications 11 SP4 fontforge Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 fontforge Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP1 fontforge Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP2 fontforge Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP3 fontforge Unsupported
SUSE Linux Enterprise Server for SAP Applications 12 SP4 fontforge Unsupported
SUSE Linux Enterprise Software Development Kit 11 SP4 fontforge Unsupported
SUSE Linux Enterprise Software Development Kit 12 fontforge Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP1 fontforge Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP2 fontforge Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP3 fontforge Unsupported
SUSE Linux Enterprise Software Development Kit 12 SP4 fontforge Unsupported
SUSE Manager Proxy 4.1 fontforge Not affected
SUSE Manager Proxy 4.2 fontforge Not affected
SUSE Manager Retail Branch Server 4.1 fontforge Not affected
SUSE Manager Retail Branch Server 4.2 fontforge Not affected
SUSE Manager Server 4.1 fontforge Not affected
SUSE Manager Server 4.2 fontforge Not affected


SUSE Timeline for this CVE

CVE page created: Thu Dec 14 22:00:12 2017
CVE page last modified: Thu May 23 18:38:23 2024